libdap::XMLWriter Class Reference

## Public Member Functions

const char * | get_doc ()
unsigned int | get_doc_size ()
xmlTextWriterPtr | get_writer () const
| XMLWriter (const std::string &pad=" ", const std::string &ENCODING="ISO-8859-1")

## Detailed Description

Definition at line 39 of file XMLWriter.h.

## Constructor & Destructor Documentation

## XMLWriter()

XMLWriter::XMLWriter | ( | const std::string & | pad = `" "`,
|  | const std::string & | ENCODING = `"ISO-8859-1"`
| ) |  |

Definition at line 46 of file XMLWriter.cc.

## ~XMLWriter()

XMLWriter::~XMLWriter | ( |  | ) |

virtual

Definition at line 84 of file XMLWriter.cc.

## Member Function Documentation

## get_doc()

const char * XMLWriter::get_doc | ( |  | ) |

Definition at line 104 of file XMLWriter.cc.

## get_doc_size()

unsigned int XMLWriter::get_doc_size | ( |  | ) |

Definition at line 123 of file XMLWriter.cc.

## get_writer()

xmlTextWriterPtr libdap::XMLWriter::get_writer | ( |  | ) | const

inline

Definition at line 55 of file XMLWriter.h.

The documentation for this class was generated from the following files:

- XMLWriter.h
- XMLWriter.cc